Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Slot collision when installing wpa supplicant [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
boomerhackr
n00b
n00b


Joined: 19 May 2020
Posts: 12

PostPosted: Fri May 22, 2020 9:46 pm    Post subject: Slot collision when installing wpa supplicant [solved] Reply with quote

I have just installed the gentoo kernel in a chrooted environment, and I am trying to install wpa supplicant for WIFI, but when I ran
Code:
 emerge net-wireless/wpa_supplicant
, it gave the following error:
Code:

It might be possible to solve this slot collision
by applying all of the following changes:
   - dev-libs/openssl-1.1.1g (Change USE: +bindist)
   - net-wireless/wpa_supplicant-2.9-r2 (Change USE: +bindist)

I changed the command to
Code:
USE="bindlist" emerge net-wireless/wpa_supplicant
, however this gave the same error.
I also tried installing openssl using
Code:
 USE="bindlist" emerge dev-libs/openssl
and
Code:
 emerge dev-libs/openssl
, however they both gave the following error:
Code:

It might be possible to solve this slot collision
by applying all of the following changes:
   - dev-libs/openssl-1.1.1g (Change USE: +bindist)


Why is this error occurring, and how can I fix it?
_________________
I'd just like to interject for a moment. What you're referring to as Linux,
is in fact, GNU/Linux, or as I've recently taken to calling it, GNU plus Linux.


Last edited by boomerhackr on Sun May 24, 2020 2:09 am; edited 1 time in total
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7440
Location: almost Mile High in the USA

PostPosted: Fri May 22, 2020 11:04 pm    Post subject: Reply with quote

Just wanted to make sure you're using "bindist" and not "bindlist" as your commands look a little wrong.

"bindist" as in "BINary DISTribution" not "bind list"
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 15294

PostPosted: Fri May 22, 2020 11:58 pm    Post subject: Reply with quote

Usually, bindist should be enabled only if you need the special semantics it provides. Enabling it to satisfy a USE constraint on a package is often the wrong choice. Fortunately, your attempt to set it on the command line is also wrong, in a way that will likely cancel out your problems. :) In addition to the spelling error that eccerr0r noted, an environment variable override is not saved, so your next use of emerge will undo it.

If you are not planning to redistribute the built files, then I suggest disabling bindist on all packages. If you still need help, post the full output of the emerge command, not just fragments of it.
Back to top
View user's profile Send private message
boomerhackr
n00b
n00b


Joined: 19 May 2020
Posts: 12

PostPosted: Sat May 23, 2020 1:23 am    Post subject: Reply with quote

You were right, it was just a simple typo, now it is completely fixed. Thanks!
_________________
I'd just like to interject for a moment. What you're referring to as Linux,
is in fact, GNU/Linux, or as I've recently taken to calling it, GNU plus Linux.
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7653
Location: Saint Amant, Acadiana

PostPosted: Sat May 23, 2020 1:55 pm    Post subject: Reply with quote

And make sure you use --oneshot when emerging dependencies, with commands above you already polluted your world file.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum